### php.java.faces

# Class PhpFacesContextFactory

- `java.lang.Object`

- `javax.faces.context.FacesContextFactory`

- `php.java.faces.PhpFacesContextFactory`

`public class PhpFacesContextFactory`
`extends javax.faces.context.FacesContextFactory`

Creates a PhpFacesContext

Author:
  jostb

## Constructor Summary

`PhpFacesContextFactory()`
  The basic constructor.

`PhpFacesContextFactory(javax.faces.context.FacesContextFactory factory)`

## Method Summary

`javax.faces.context.FacesContext`

`getFacesContext(java.lang.Object ctx, java.lang.Object request, java.lang.Object response, javax.faces.lifecycle.Lifecycle lifecycle)`

### Methods inherited from class javax.faces.context.FacesContextFactory

`getFacesContext`

### Methods inherited from class java.lang.Object

`equals`, `getClass`, `hashCode`, `notify`, `notifyAll`, `toString`, `wait`, `wait`, `wait`

## Constructor Details

### PhpFacesContextFactory

    public PhpFacesContextFactory()

> The basic constructor. Object is special, because it has no superclass, so there is no call to super().

### PhpFacesContextFactory

    public PhpFacesContextFactory(javax.faces.context.FacesContextFactory factory)

## Method Details

### getFacesContext

    public javax.faces.context.FacesContext getFacesContext(java.lang.Object ctx,
                                                            java.lang.Object request,
                                                            java.lang.Object response,
                                                            javax.faces.lifecycle.Lifecycle lifecycle)
                throws javax.faces.FacesException

> Overrides:
>   getFacesContext in interface javax.faces.context.FacesContextFactory